﻿@using Xtoman.Domain.Models
@model PagedList.IPagedList<ExchangeOrderSimpleViewModel>
@{
    if (!Request.IsPjaxRequest())
    {
        Layout = "~/Views/Shared/_AccountLayout.cshtml";
    }
    ViewBag.Title = "لیست سفارش ها";
}

<div class="row">
    <div class="col-md-12">
        <h6>تعداد کل سفارش ها: @Model.TotalItemCount</h6>
    </div>
    <div class="col-md-12 account-list">
        <div class="table-responsive table-hover text-center">
            <table class="table table-sm">
                <thead>
                    <tr>
                        @*<th>شماره سفارش</th>*@
                        <th>نوع تبدیل</th>
                        <th>وضعیت پرداخت</th>
                        <th>وضعیت سفارش</th>
                        <th>مقدار پرداخت</th>
                        <th>مقدار دریافت نهایی</th>
                        <th>تاریخ ثبت سفارش</th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null && Model.Any())
                    {
                        foreach (var item in Model)
                        {
                            <tr onclick="goToUrl('@Url.RouteUrl("ExchangeOrderDetail", new { orderGuid = item.Guid })')">
                                @*<td><small>@item.Guid</small></td>*@
                                <td style="font-size:0.75rem;">
                                    <span style="color:@item.Exchange.FromCurrencyType.ToDisplay(DisplayProperty.GroupName)">@item.Exchange.FromCurrencyType.ToDisplay(DisplayProperty.Prompt)</span>
                                    <span class="fa fa-arrow-left"></span>
                                    <span style="color:@item.Exchange.ToCurrencyType.ToDisplay(DisplayProperty.GroupName)">@item.Exchange.ToCurrencyType.ToDisplay(DisplayProperty.Prompt)</span>
                                </td>
                                <td>
                                    <span class="badge badge-@item.PaymentStatus.ToDisplay(DisplayProperty.GroupName)" style="padding: inherit;">
                                        @item.PaymentStatus.ToDisplay()
                                    </span>
                                </td>
                                <td>
                                    <span class="badge badge-@item.OrderStatus.ToDisplay(DisplayProperty.GroupName)" style="padding: inherit;">
                                        @item.OrderStatus.ToDisplay()
                                    </span>
                                </td>
                                <td>
                                    @if (item.Exchange.FromCurrencyType == ECurrencyType.Shetab)
                                    {
                                        <span>@item.PayAmount.ToPriceWithoutFloat() تومان</span>
                                    }
                                    else
                                    {
                                        <span>@item.PayAmount.ToBlockChainPrice() @item.Exchange.FromCurrencyUnitSign</span>
                                    }
                                </td>
                                <td>
                                    @if (item.Exchange.ToCurrencyType == ECurrencyType.Shetab)
                                    {
                                        <span>@item.ReceiveAmount.ToPriceWithoutFloat() تومان</span>
                                    }
                                    else
                                    {
                                        <span>@item.ReceiveAmount.ToBlockChainPrice() @item.Exchange.ToCurrencyUnitSign</span>
                                    }
                                </td>
                                <td style="font-size:0.75rem;">
                                    @item.InsertDate.ToFaDateTimeZone()
                                </td>
                            </tr>
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="6" class="text-center">در حال حاضر هیچ سفارشی ثبت نشده است.</td>
                        </tr>
                    }
                </tbody>
            </table>
            <div class="text-center">
                @Html.Partial("_Paging", Model)
            </div>
            <a href="@Url.Action("Index", "Exchange")" class="btn btn-primary mb-3 float-right no-pjax">ثبت سفارش جدید</a>
        </div>
    </div>
</div>